根据音色预览创建新音色

根据之前生成的音色预览创建音色。使用 POST /v1/text-to-voice/design 或 POST /v1/text-to-voice/:voice_id/remix 获取 generated_voice_id 后,应调用此端点。

请求头

xi-api-keystring可选

请求

This endpoint expects an object.
voice_namestring必需

创建音色时使用的名称。

voice_descriptionstring必需20-1000 characters

用于创建音色的说明。

generated_voice_idstring必需

要创建的 generated_voice_id;可从 POST /v1/text-to-voice/design、POST /v1/text-to-voice/:voice_id/remix,或生成预览时的响应标头中获取。

labelsmap from strings to strings or null可选

可选,要添加到所创建音色的元数据。默认值为 None。

played_not_selected_voice_idslist of strings or null可选

用户已试听但未选择的音色 ID 列表。用于 RLHF。

响应

成功响应

voice_idstring

音色的 ID。

namestring可选

音色名称。

sampleslist of objects or null可选

与该音色关联的样本列表。

categoryenum可选

音色类别。

fine_tuningobject or null可选

音色的微调信息。

labelsmap from strings to strings可选

与该音色关联的标签。

descriptionstring or null可选

音色描述。

preview_urlstring or null可选

音色的预览 URL。

available_for_tierslist of strings可选

该音色适用的套餐层级。

settingsobject or null可选

音色设置。

sharingobject or null可选

音色的共享信息。

high_quality_base_model_idslist of strings可选

高质量音色的基础模型 ID。

verified_languageslist of objects or null可选

该音色已验证的语言。

collection_idslist of strings or null可选

此音色所属集合的 ID。

safety_controlenum or null可选

音色的安全控制设置。

允许的值:
voice_verificationobject or null可选

音色验证信息。

permission_on_resourcestring or null可选

音色资源的权限。

is_ownerboolean or null可选

音色是否归用户所有。

is_legacyboolean可选默认为 false

音色是否为旧版。

is_mixedboolean可选默认为 false

音色是否已混音。

favorited_at_unixinteger or null可选

音色被标记为收藏时的 Unix 时间戳。

created_at_unixinteger or null可选

音色创建时间,以 Unix 时间表示。

is_bookmarkedboolean or null可选

当前用户是否已收藏该音色。仅适用于社区(从声音库复制的)音色。

recording_qualityenum or null可选

审核流程确定的音色录音质量。

允许的值:
labelling_statusenum or null可选

音色的审核流程状态。

允许的值:
recording_quality_reasonstring or null可选

审核流程确定的录音质量评估原因。

错误

409
Conflict Error
422
Unprocessable Entity Error